{"info":{"title":"Placetel API","description":"---\n# Introduction\n\n\u003ch2\u003eCreate custom integrations or automate your workflows with the Placetel REST API.\u003c/h2\u003e\n\nTo make a request to our API, you will need to specify an HTTP **method** and a **path**.\nAdditionally, you can specify request **headers**, **query** and **body** parameters.\nThe API will return the response status code, response headers, and dependening on status and resource a response body.\n\nThe documentation for every operation displays example requests and responses to provide you the best understanding of our API.\n\n# Pagination\n\nBe aware, that requests which return multiple resources will be paginated by default.\nYou can specify further pages with the `page` parameter.\nFor some resources, you can also set a custom page size (usually up to 100) with the `per_page` parameter.\nNote that for technical reasons not all endpoints respect the `per_page` parameter.\n\n# Rate Limiting\n\nThe API uses a token bucket algorithm to enforce rate limits. Each response includes headers to help you manage your request rate:\n\n| Header | Description |\n|---|---|\n| `RateLimit-Remaining` | The number of requests you can still make immediately. |\n| `RateLimit-Reset` | Seconds until the next request token becomes available. `0` means a token is available now. |\n\nWhen you exceed the rate limit, the API responds with HTTP **429 Too Many Requests** and an additional header:\n\n| Header | Description |\n|---|---|\n| `Retry-After` | Seconds to wait before retrying. |\n\n**How it works:** You start with a burst allowance that lets you make several requests in quick succession.\nOnce the burst is used up, requests are allowed at a steady rate. If you stop making requests, the allowance\ngradually refills back to the burst maximum.\n\nTo avoid hitting the limit, monitor the `RateLimit-Remaining` header and slow down as it approaches `0`.\n","version":"2.0.0","x-logo":{"url":"https://downloads.placetel.de/api/DE_logo_c.png","href":"https://www.placetel.de/","altText":"Placetel API 2.0.0"}},"swagger":"2.0","produces":["application/json"],"securityDefinitions":{"Bearer":{"description":"Please use the HTTP Authorization request header to provide your _API key_ as **Bearer Token** to authenticate with our API. Your API key can be obtained from [here](https://web.placetel.de/integrations/web_api). If you already have an API v1 key, you are ready to go!","type":"apiKey","name":"Authorization","in":"header"}},"security":[{"Bearer":[]}],"host":"api.placetel.de","basePath":"/v2","schemes":["https"],"x-tagGroups":[{"name":"Resources","tags":["Call Center","Call detail records","Calls","Contacts","CTI","Devices","Faxes","Groups","Invoices","Numbers","Prompts","Provisionings","Recordings","Routing plan objects","Routing plans","Routings","SIM Cards","Sites","Sip Users","SMS","Subscriptions","Users","Microsoft Teams","Webex"]}],"tags":[{"name":"Call Center","description":"Operations about Call Centers"},{"name":"Call detail records","description":"Operations about Call detail records"},{"name":"Calls","description":"Operations about Calls"},{"name":"Contacts","description":"Operations about Contacts"},{"name":"Devices","description":"Operations about Devices"},{"name":"Faxes","description":"Operations about Faxes"},{"name":"Groups","description":"Operations about Groups"},{"name":"Numbers","description":"Operations about Numbers"},{"name":"Prompts","description":"Operations about Prompts"},{"name":"Provisionings","description":"Operations about Provisionings"},{"name":"Recordings","description":"Operations about Recordings"},{"name":"Routing plans","description":"Operations about Routing plans"},{"name":"Routing plan objects","description":"Operations about Routing plan objects"},{"name":"Routings","description":"Operations about Routings"},{"name":"Sip Users","description":"Operations about Sip Users"},{"name":"SIM Cards","description":"Operations about SIM Cards"},{"name":"Sites","description":"Operations about Sites"},{"name":"SMS","description":"Operations about SMs"},{"name":"Subscriptions","description":"Operations about Subscriptions"},{"name":"Webex","description":"Operations about Webexes"},{"name":"Users","description":"Operations about Users"},{"name":"CTI","description":"Control your desktop phone via our API. You can enable the CTI API in your [settings](https://web.placetel.de/settings/cti_api). These endpoints are only supported by Cisco desk phones. In order to consume events that happen on the phones and receive operation results, you need to register a [webhook subscription](/#Placetel-API-Subscriptions)."},{"name":"Microsoft Teams","description":"These Microsoft Teams related endpoints are currently considered BETA. This means parameters and response schema are not final and possibly subject to change. Please also note that your integration needs to be activated by support and requires the \"Service Principal\" setup."}],"paths":{"/call_center_agents":{"get":{"summary":"Fetch all call center agents","description":"Provides a list of all call center agents","produces":["application/json"],"parameters":[{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all call center agents","schema":{"type":"array","items":{"$ref":"#/definitions/CallCenterAgent"}}}},"tags":["Call Center"],"operationId":"getCallCenterAgents","x-badges":[{"name":"profi"}]},"post":{"summary":"Create an agent","description":"Create a new agent","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postCallCenterAgents","in":"body","required":true,"schema":{"$ref":"#/definitions/postCallCenterAgents"}}],"responses":{"201":{"description":"Create an agent","schema":{"$ref":"#/definitions/CallCenterAgent"}}},"tags":["Call Center"],"operationId":"postCallCenterAgents","x-badges":[{"name":"profi"}]}},"/call_center_agents/{id}":{"put":{"summary":"Update an agent","description":"Update an agent by its ID","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Sip user ID","type":"integer","format":"int32","required":true},{"name":"putCallCenterAgentsId","in":"body","required":true,"schema":{"$ref":"#/definitions/putCallCenterAgentsId"}}],"responses":{"200":{"description":"Update an agent","schema":{"$ref":"#/definitions/CallCenterAgent"}}},"tags":["Call Center"],"operationId":"putCallCenterAgentsId","x-badges":[{"name":"profi"}]}},"/call_center_calls":{"get":{"summary":"Fetch all call center calls","description":"Provides a list of all call center calls","produces":["application/json"],"parameters":[{"in":"query","name":"date","description":"YYYY-MM-DD","type":"string","format":"date","required":true},{"in":"query","name":"queue_ids","description":"[1]","type":"array","items":{"type":"integer","format":"int32"},"required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all call center calls","schema":{"type":"array","items":{"$ref":"#/definitions/CallCenterCall"}}}},"tags":["Call Center"],"operationId":"getCallCenterCalls","x-badges":[{"name":"profi"}]}},"/call_center_calls/{id}/{pick}":{"post":{"summary":"Pick a call center call","description":"Picks call from a number to a given agent","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Call ID","type":"integer","format":"int32","required":true},{"in":"path","name":"pick","type":"integer","format":"int32","required":true},{"name":"postCallCenterCallsIdPick","in":"body","required":true,"schema":{"$ref":"#/definitions/postCallCenterCallsIdPick"}}],"responses":{"201":{"description":"Pick a call center call","schema":{"$ref":"#/definitions/CallCenterCall"}}},"tags":["Call Center"],"operationId":"postCallCenterCallsIdPick","x-badges":[{"name":"profi"}]}},"/call_center_queues":{"get":{"summary":"Fetch all call center queues","description":"Provides a list of all call center queues","produces":["application/json"],"parameters":[{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all call center queues","schema":{"type":"array","items":{"$ref":"#/definitions/CallCenterQueue"}}}},"tags":["Call Center"],"operationId":"getCallCenterQueues","x-badges":[{"name":"profi"}]},"post":{"summary":"Create a queue","description":"Create a queue","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postCallCenterQueues","in":"body","required":true,"schema":{"$ref":"#/definitions/postCallCenterQueues"}}],"responses":{"201":{"description":"Create a queue","schema":{"$ref":"#/definitions/CallCenterQueue"}}},"tags":["Call Center"],"operationId":"postCallCenterQueues","x-badges":[{"name":"profi"}]}},"/call_center_queues/{id}":{"put":{"summary":"Update a queue","description":"Update a queue","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Queue ID","type":"integer","format":"int32","required":true},{"name":"putCallCenterQueuesId","in":"body","required":true,"schema":{"$ref":"#/definitions/putCallCenterQueuesId"}}],"responses":{"200":{"description":"Update a queue","schema":{"$ref":"#/definitions/CallCenterQueue"}}},"tags":["Call Center"],"operationId":"putCallCenterQueuesId","x-badges":[{"name":"profi"}]}},"/call_detail_records":{"get":{"summary":"Get call detail records","description":"Provides a list of call detail records","produces":["application/json"],"parameters":[{"in":"query","name":"date","description":"YYYY-MM-DD","type":"string","format":"date","required":true},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":500,"required":false}],"responses":{"200":{"description":"Get call detail records","schema":{"type":"array","items":{"$ref":"#/definitions/CallDetailRecord"}}}},"tags":["Call detail records"],"operationId":"getCallDetailRecords","x-badges":[{"name":"profi"}]}},"/calls":{"get":{"summary":"Fetch all incoming calls","description":"Provides a list of all calls on a specific day (`date`) or today.","produces":["application/json"],"parameters":[{"in":"query","name":"filter[date]","description":"YYYY-MM-DD, defaults to today.","type":"string","format":"date","required":false},{"in":"query","name":"filter[from_number]","type":"string","required":false},{"in":"query","name":"filter[to_number]","type":"string","required":false},{"in":"query","name":"filter[type]","type":"string","enum":["voicemail","missed","blocked","accepted","voicemail,missed","missed,blocked,accepted"],"required":false},{"in":"query","name":"order","type":"string","default":"desc","enum":["asc","desc"],"required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all incoming calls","schema":{"type":"array","items":{"$ref":"#/definitions/Call"}}}},"tags":["Calls"],"operationId":"getCalls","x-badges":[{"name":"profi"}]},"post":{"summary":"Initiate a call","description":"Initiates a call","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postCalls","in":"body","required":true,"schema":{"$ref":"#/definitions/postCalls"}}],"responses":{"201":{"description":"Initiate a call","schema":{"$ref":"#/definitions/Call"}}},"tags":["Calls"],"operationId":"postCalls","x-badges":[{"name":"profi"}]}},"/calls/{id}":{"get":{"summary":"Retrieve a call","description":"Fetches a call by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Call ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Retrieve a call","schema":{"$ref":"#/definitions/Call"}}},"tags":["Calls"],"operationId":"getCallsId","x-badges":[{"name":"profi"}]},"delete":{"summary":"Delete a call","description":"Delete a call by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Call ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a call"}},"tags":["Calls"],"operationId":"deleteCallsId","x-badges":[{"name":"profi"}]}},"/contacts":{"get":{"summary":"Get all contacts","description":"Provides a list of all contacts","produces":["application/json"],"parameters":[{"in":"query","name":"filter[speeddial]","type":"integer","format":"int32","required":false},{"in":"query","name":"filter[first_name]","type":"string","required":false},{"in":"query","name":"filter[last_name]","type":"string","required":false},{"in":"query","name":"filter[company]","type":"string","required":false},{"in":"query","name":"filter[email]","type":"string","required":false},{"in":"query","name":"filter[email_work]","type":"string","required":false},{"in":"query","name":"filter[phone_work]","type":"string","required":false},{"in":"query","name":"filter[mobile_work]","type":"string","required":false},{"in":"query","name":"filter[phone]","type":"string","required":false},{"in":"query","name":"filter[mobile]","type":"string","required":false},{"in":"query","name":"filter[blocked]","type":"boolean","default":false,"enum":[true,false],"required":false},{"in":"query","name":"filter[updated_at_gte]","type":"string","format":"date-time","required":false},{"in":"query","name":"filter[updated_at_lte]","type":"string","format":"date-time","required":false},{"in":"query","name":"search[number]","type":"string","required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Get all contacts","schema":{"type":"array","items":{"$ref":"#/definitions/Contact"}}}},"tags":["Contacts"],"operationId":"getContacts","x-badges":[{"name":"profi"},{"name":"webex"}]},"post":{"summary":"Create a contact","description":"Creates a contact","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postContacts","in":"body","required":true,"schema":{"$ref":"#/definitions/postContacts"}}],"responses":{"201":{"description":"Create a contact","schema":{"$ref":"#/definitions/Contact"}}},"tags":["Contacts"],"operationId":"postContacts","x-badges":[{"name":"profi"},{"name":"webex"}]}},"/contacts/{id}":{"get":{"summary":"Retrieve a contact","description":"Fetches a contact by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"ID of a contact","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Retrieve a contact","schema":{"$ref":"#/definitions/Contact"}}},"tags":["Contacts"],"operationId":"getContactsId","x-badges":[{"name":"profi"},{"name":"webex"}]},"put":{"summary":"Update a contact","description":"Updates a contact for a given ID","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Contact ID","type":"integer","format":"int32","required":true},{"name":"putContactsId","in":"body","required":true,"schema":{"$ref":"#/definitions/putContactsId"}}],"responses":{"200":{"description":"Update a contact","schema":{"$ref":"#/definitions/Contact"}}},"tags":["Contacts"],"operationId":"putContactsId","x-badges":[{"name":"profi"},{"name":"webex"}]},"delete":{"summary":"Deletes a contact","description":"Deletes a contact by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Contact ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Deletes a contact"}},"tags":["Contacts"],"operationId":"deleteContactsId","x-badges":[{"name":"profi"},{"name":"webex"}]}},"/cti/{mac}/answer":{"post":{"summary":"Answer","description":"This method allows device to answer a ringing call with given call_id.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacAnswer","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacAnswer"}}],"responses":{"201":{"description":"Answer"}},"tags":["CTI"],"operationId":"postCtiMacAnswer","x-badges":[{"name":"profi"}]}},"/cti/{mac}/blind_transfer":{"post":{"summary":"Blind transfer","description":"This method allows to do a blind tranfser on the call specified by the call_id.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacBlindTransfer","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacBlindTransfer"}}],"responses":{"201":{"description":"Blind transfer"}},"tags":["CTI"],"operationId":"postCtiMacBlindTransfer","x-badges":[{"name":"profi"}]}},"/cti/{mac}/complete_conference":{"post":{"summary":"Complete conference","description":"This method allows to complete conference on the call specified by the call_id.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacCompleteConference","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacCompleteConference"}}],"responses":{"201":{"description":"Complete conference"}},"tags":["CTI"],"operationId":"postCtiMacCompleteConference","x-badges":[{"name":"profi"}]}},"/cti/{mac}/complete_transfer":{"post":{"summary":"Complete transfer","description":"This method allows to initiate the tranfser on the call specified by the call_id.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacCompleteTransfer","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacCompleteTransfer"}}],"responses":{"201":{"description":"Complete transfer"}},"tags":["CTI"],"operationId":"postCtiMacCompleteTransfer","x-badges":[{"name":"profi"}]}},"/cti/{mac}/decline":{"post":{"summary":"Decline","description":"This method allows device to Decline the call specified by the call_id. ","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacDecline","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacDecline"}}],"responses":{"201":{"description":"Decline"}},"tags":["CTI"],"operationId":"postCtiMacDecline","x-badges":[{"name":"profi"}]}},"/cti/{mac}/dial":{"post":{"summary":"Dial","description":"This method initiates a new call.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacDial","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacDial"}}],"responses":{"201":{"description":"Dial"}},"tags":["CTI"],"operationId":"postCtiMacDial","x-badges":[{"name":"profi"}]}},"/cti/{mac}/dial_digit":{"post":{"summary":"Dial digit","description":"This method initiates a new call.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacDialDigit","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacDialDigit"}}],"responses":{"201":{"description":"Dial digit"}},"tags":["CTI"],"operationId":"postCtiMacDialDigit","x-badges":[{"name":"profi"}]}},"/cti/{mac}/hangup":{"post":{"summary":"Hangup","description":"This method allows device to end the call specified by the call_id.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacHangup","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacHangup"}}],"responses":{"201":{"description":"Hangup"}},"tags":["CTI"],"operationId":"postCtiMacHangup","x-badges":[{"name":"profi"}]}},"/cti/{mac}/hold":{"post":{"summary":"Hold","description":"This method allows device to hold the call specified by the call_id.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacHold","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacHold"}}],"responses":{"201":{"description":"Hold"}},"tags":["CTI"],"operationId":"postCtiMacHold","x-badges":[{"name":"profi"}]}},"/cti/{mac}/resume":{"post":{"summary":"Resume","description":"This method allows device to resume the call specified by the call_id.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacResume","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacResume"}}],"responses":{"201":{"description":"Resume"}},"tags":["CTI"],"operationId":"postCtiMacResume","x-badges":[{"name":"profi"}]}},"/cti/{mac}/start_conference":{"post":{"summary":"Start conference","description":"This method allows to initiate conference on the call specified by the call_id.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacStartConference","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacStartConference"}}],"responses":{"201":{"description":"Start conference"}},"tags":["CTI"],"operationId":"postCtiMacStartConference","x-badges":[{"name":"profi"}]}},"/cti/{mac}/start_transfer":{"post":{"summary":"Start transfer","description":"This method allows to initiate the tranfser on the call specified by the call_id.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacStartTransfer","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacStartTransfer"}}],"responses":{"201":{"description":"Start transfer"}},"tags":["CTI"],"operationId":"postCtiMacStartTransfer","x-badges":[{"name":"profi"}]}},"/cti/{mac}/send_dtmf_digits":{"post":{"summary":"Send DTMF Digits","description":"This method allows to sendDTMFDigits on a current active call.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"postCtiMacSendDtmfDigits","in":"body","required":true,"schema":{"$ref":"#/definitions/postCtiMacSendDtmfDigits"}}],"responses":{"201":{"description":"Send DTMF Digits"}},"tags":["CTI"],"operationId":"postCtiMacSendDtmfDigits","x-badges":[{"name":"profi"}]}},"/cti/{mac}":{"get":{"summary":"Get config params","description":"Get config params","produces":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"in":"query","name":"params","type":"array","items":{"type":"string"},"required":true}],"responses":{"200":{"description":"Get config params"}},"tags":["CTI"],"operationId":"getCtiMac","x-badges":[{"name":"profi"}]},"put":{"summary":"Set config params","description":"Set config params","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"mac","type":"integer","format":"int32","required":true},{"name":"putCtiMac","in":"body","required":true,"schema":{"$ref":"#/definitions/putCtiMac"}}],"responses":{"200":{"description":"Set config params"}},"tags":["CTI"],"operationId":"putCtiMac","x-badges":[{"name":"profi"}]}},"/devices":{"get":{"summary":"Fetch all devices","description":"Fetch a list of all provisionable devices","produces":["application/json"],"parameters":[{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all devices","schema":{"type":"array","items":{"$ref":"#/definitions/Device"}}}},"tags":["Devices"],"operationId":"getDevices","x-badges":[{"name":"profi"}]}},"/faxes":{"get":{"summary":"Fetch in- and outbound faxes","description":"Provides a list of all faxes","produces":["application/json"],"parameters":[{"in":"query","name":"filter[type]","type":"string","default":"inbound,outbound","enum":["inbound,outbound","inbound","outbound"],"required":false},{"in":"query","name":"filter[from_number]","type":"string","required":false},{"in":"query","name":"filter[to_number]","type":"string","required":false},{"in":"query","name":"order","type":"string","default":"desc","enum":["asc","desc"],"required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch in- and outbound faxes","schema":{"type":"array","items":{"$ref":"#/definitions/Fax"}}}},"tags":["Faxes"],"operationId":"getFaxes","x-badges":[{"name":"profi"},{"name":"webex"}]},"post":{"summary":"Create outbound fax","description":"Sends faxes via API call","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postFaxes","in":"body","required":true,"schema":{"$ref":"#/definitions/postFaxes"}}],"responses":{"201":{"description":"Create outbound fax","schema":{"$ref":"#/definitions/Fax"}}},"tags":["Faxes"],"operationId":"postFaxes","x-badges":[{"name":"profi"},{"name":"webex"}]}},"/faxes/{id}":{"get":{"summary":"Fetch specific fax","description":"Fetch in- or outbound fax","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Fax ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Fetch specific fax","schema":{"$ref":"#/definitions/Fax"}}},"tags":["Faxes"],"operationId":"getFaxesId","x-badges":[{"name":"profi"},{"name":"webex"}]},"delete":{"summary":"Delete a fax","description":"Delete a fax by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Fax ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a fax"}},"tags":["Faxes"],"operationId":"deleteFaxesId","x-badges":[{"name":"profi"},{"name":"webex"}]}},"/groups":{"get":{"summary":"Fetch all groups","description":"Fetch a list of all groups","produces":["application/json"],"parameters":[{"in":"query","name":"filter[name]","type":"string","required":false},{"in":"query","name":"filter[description]","type":"string","required":false},{"in":"query","name":"filter[type]","type":"string","enum":["ring_all","monitoring","hunt"],"required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all groups","schema":{"type":"array","items":{"$ref":"#/definitions/Group"}}}},"tags":["Groups"],"operationId":"getGroups","x-badges":[{"name":"profi"}]},"post":{"summary":"Create a group","description":"Create a new group","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postGroups","in":"body","required":true,"schema":{"$ref":"#/definitions/postGroups"}}],"responses":{"201":{"description":"Create a group","schema":{"$ref":"#/definitions/Group"}}},"tags":["Groups"],"operationId":"postGroups","x-badges":[{"name":"profi"}]}},"/groups/{id}":{"get":{"summary":"Fetch a group","description":"Fetch a groups by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Group ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Fetch a group","schema":{"$ref":"#/definitions/Group"}}},"tags":["Groups"],"operationId":"getGroupsId","x-badges":[{"name":"profi"}]},"put":{"summary":"Update a group","description":"Update a group by its ID","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Group ID","type":"integer","format":"int32","required":true},{"name":"putGroupsId","in":"body","required":true,"schema":{"$ref":"#/definitions/putGroupsId"}}],"responses":{"200":{"description":"Update a group","schema":{"$ref":"#/definitions/Group"}}},"tags":["Groups"],"operationId":"putGroupsId","x-badges":[{"name":"profi"}]},"delete":{"summary":"Delete a group","description":"Delete a group by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Group ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a group"}},"tags":["Groups"],"operationId":"deleteGroupsId","x-badges":[{"name":"profi"}]}},"/microsoft_teams/integration":{"get":{"summary":"Integration","description":"This is your current Microsoft Teams Integration associated with your account.","produces":["application/json"],"responses":{"200":{"description":"Integration","schema":{"$ref":"#/definitions/Integration"}}},"tags":["Microsoft Teams"],"operationId":"getMicrosoftTeamsIntegration","x-badges":[{"name":"profi"}]}},"/microsoft_teams/users":{"post":{"summary":"Import user","description":"Import users from Microsoft to Placetel","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postMicrosoftTeamsUsers","in":"body","required":true,"schema":{"$ref":"#/definitions/postMicrosoftTeamsUsers"}}],"responses":{"201":{"description":"Import user","schema":{"$ref":"#/definitions/MsUser"}}},"tags":["Microsoft Teams"],"operationId":"postMicrosoftTeamsUsers","x-badges":[{"name":"profi"}]},"get":{"summary":"Fetch all users","description":"Get a list of all imported Microsoft Teams Users and their corresponding details","produces":["application/json"],"parameters":[{"in":"query","name":"filter[sync_status]","type":"string","enum":["not_synced","synced","syncing","sync_failed"],"required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all users","schema":{"type":"array","items":{"$ref":"#/definitions/MsUser"}}}},"tags":["Microsoft Teams"],"operationId":"getMicrosoftTeamsUsers","x-badges":[{"name":"profi"}]}},"/microsoft_teams/sync/{sip_user_id}":{"patch":{"summary":"Sync user","description":"Synchronize the calling configuration of an imported user back to Microsoft","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"sip_user_id","description":"Sip user ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Sync user","schema":{"$ref":"#/definitions/MsUser"}}},"tags":["Microsoft Teams"],"operationId":"patchMicrosoftTeamsSyncSipUserId","x-badges":[{"name":"profi"}]}},"/microsoft_teams/users/{sip_user_id}":{"delete":{"summary":"Disconnect user","description":"Performs a disconnect operation and synchronizes to Microsoft. A failing sync, i.e. when the resource was not found, will be ignored.","produces":["application/json"],"parameters":[{"in":"path","name":"sip_user_id","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Disconnect user"}},"tags":["Microsoft Teams"],"operationId":"deleteMicrosoftTeamsUsersSipUserId","x-badges":[{"name":"profi"}]}},"/numbers/{number_id}/profiles":{"get":{"summary":"List profiles for a number","description":"Lists all available profiles for a number ","produces":["application/json"],"parameters":[{"in":"path","name":"number_id","description":"Number ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"List profiles for a number","schema":{"$ref":"#/definitions/Profile"}}},"tags":["Numbers"],"operationId":"getNumbersNumberIdProfiles","x-badges":[{"name":"profi"}]},"post":{"summary":"Creates a new profile for a number","description":"Shows the active profile for a number","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"number_id","description":"Number ID","type":"integer","format":"int32","required":true},{"name":"postNumbersNumberIdProfiles","in":"body","required":true,"schema":{"$ref":"#/definitions/postNumbersNumberIdProfiles"}}],"responses":{"201":{"description":"Creates a new profile for a number","schema":{"$ref":"#/definitions/Profile"}}},"tags":["Numbers"],"operationId":"postNumbersNumberIdProfiles","x-badges":[{"name":"profi"}]},"put":{"summary":"Activates a profile for a number","description":"Change the active profile for a number","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"number_id","description":"Number ID","type":"integer","format":"int32","required":true},{"name":"putNumbersNumberIdProfiles","in":"body","required":true,"schema":{"$ref":"#/definitions/putNumbersNumberIdProfiles"}}],"responses":{"200":{"description":"Activates a profile for a number","schema":{"$ref":"#/definitions/Profile"}}},"tags":["Numbers"],"operationId":"putNumbersNumberIdProfiles","x-badges":[{"name":"profi"}]}},"/numbers/{number_id}/profiles/{id}":{"delete":{"summary":"Delete a profile for a number","description":"Removes the profile for a number","produces":["application/json"],"parameters":[{"in":"path","name":"number_id","description":"Number ID","type":"integer","format":"int32","required":true},{"in":"path","name":"id","description":"Profile ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a profile for a number"}},"tags":["Numbers"],"operationId":"deleteNumbersNumberIdProfilesId","x-badges":[{"name":"profi"}]}},"/numbers/{id}/activation":{"post":{"summary":"Activate a number","description":"Activate a number by its ID. You may be charged for that number.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Number ID","type":"integer","format":"int32","required":true}],"responses":{"201":{"description":"Activate a number","schema":{"$ref":"#/definitions/Number"}}},"tags":["Numbers"],"operationId":"postNumbersIdActivation","x-badges":[{"name":"profi"}]},"delete":{"summary":"Deactivate a number","description":"Dectivate a number by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Number ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Deactivate a number"}},"tags":["Numbers"],"operationId":"deleteNumbersIdActivation","x-badges":[{"name":"profi"}]}},"/numbers":{"get":{"summary":"Get all numbers","description":"Provides a list of all numbers","produces":["application/json"],"parameters":[{"in":"query","name":"filter[prefix]","type":"string","required":false},{"in":"query","name":"filter[number]","type":"string","required":false},{"in":"query","name":"filter[activated]","description":"Only relevant for Profi customers","type":"boolean","enum":[true,false],"required":false},{"in":"query","name":"filter[name]","type":"string","required":false},{"in":"query","name":"filter[description]","type":"string","required":false},{"in":"query","name":"filter[site_id]","type":"integer","format":"int32","required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Get all numbers","schema":{"type":"array","items":{"$ref":"#/definitions/Number"}}}},"tags":["Numbers"],"operationId":"getNumbers","x-badges":[{"name":"profi"},{"name":"webex"}]}},"/numbers/{id}":{"get":{"summary":"Retrieve a number","description":"Fetches a number by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Number ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Retrieve a number","schema":{"$ref":"#/definitions/Number"}}},"tags":["Numbers"],"operationId":"getNumbersId","x-badges":[{"name":"profi"},{"name":"webex"}]}},"/prompts":{"get":{"summary":"Fetch all prompts","description":"Provides a list of all prompts","produces":["application/json"],"parameters":[{"in":"query","name":"filter[name]","type":"string","required":false},{"in":"query","name":"filter[description]","type":"string","required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all prompts","schema":{"type":"array","items":{"$ref":"#/definitions/Prompt"}}}},"tags":["Prompts"],"operationId":"getPrompts","x-badges":[{"name":"profi"}]},"post":{"summary":"Create a prompt","description":"Creates a new prompt","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postPrompts","in":"body","required":true,"schema":{"$ref":"#/definitions/postPrompts"}}],"responses":{"201":{"description":"Create a prompt","schema":{"$ref":"#/definitions/Prompt"}}},"tags":["Prompts"],"operationId":"postPrompts","x-badges":[{"name":"profi"}]}},"/prompts/{id}":{"get":{"summary":"Retrieve a prompt","description":"Fetches a prompt by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Prompt ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Retrieve a prompt","schema":{"$ref":"#/definitions/Prompt"}}},"tags":["Prompts"],"operationId":"getPromptsId","x-badges":[{"name":"profi"}]},"put":{"summary":"Update a prompt","description":"Update a prompt by its ID","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Prompt ID","type":"integer","format":"int32","required":true},{"name":"putPromptsId","in":"body","required":true,"schema":{"$ref":"#/definitions/putPromptsId"}}],"responses":{"200":{"description":"Update a prompt","schema":{"$ref":"#/definitions/Prompt"}}},"tags":["Prompts"],"operationId":"putPromptsId","x-badges":[{"name":"profi"}]},"delete":{"summary":"Delete a prompt","description":"Delete a prompt by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Prompt ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a prompt"}},"tags":["Prompts"],"operationId":"deletePromptsId","x-badges":[{"name":"profi"}]}},"/provisionings":{"get":{"summary":"Get all phone provisionings","description":"Provides a full list of all registered provisioned phones","produces":["application/json"],"parameters":[{"in":"query","name":"search","type":"string","required":false},{"in":"query","name":"webuser_id","type":"integer","format":"int32","required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Get all phone provisionings","schema":{"type":"array","items":{"$ref":"#/definitions/Provisioning"}}}},"tags":["Provisionings"],"operationId":"getProvisionings","x-badges":[{"name":"profi"}]},"post":{"summary":"Creates a phone provisionings","description":"Creates a phone provisioning","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postProvisionings","in":"body","required":true,"schema":{"$ref":"#/definitions/postProvisionings"}}],"responses":{"201":{"description":"Creates a phone provisionings","schema":{"$ref":"#/definitions/Provisioning"}}},"tags":["Provisionings"],"operationId":"postProvisionings","x-badges":[{"name":"profi"}]}},"/provisionings/{id}":{"get":{"summary":"Retrieve a phone provisionings","description":"Fetches a phone provisioning by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Retrieve a phone provisionings","schema":{"$ref":"#/definitions/Provisioning"}}},"tags":["Provisionings"],"operationId":"getProvisioningsId","x-badges":[{"name":"profi"}]},"put":{"summary":"Update a phone provisionings","description":"Updates a phone provisioning","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"ID","type":"integer","format":"int32","required":true},{"name":"putProvisioningsId","in":"body","required":true,"schema":{"$ref":"#/definitions/putProvisioningsId"}}],"responses":{"200":{"description":"Update a phone provisionings","schema":{"$ref":"#/definitions/Provisioning"}}},"tags":["Provisionings"],"operationId":"putProvisioningsId","x-badges":[{"name":"profi"}]},"delete":{"summary":"Delete a phone provisionings","description":"Delete a phone provisioning","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a phone provisionings"}},"tags":["Provisionings"],"operationId":"deleteProvisioningsId","x-badges":[{"name":"profi"}]}},"/provisionings/{id}/custom_configurations":{"get":{"summary":"Retrieve a phone provisionings custom configurations","description":"Fetches a phone provisionings custom configurations by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Retrieve a phone provisionings custom configurations","schema":{"$ref":"#/definitions/CustomConfiguration"}}},"tags":["Provisionings"],"operationId":"getProvisioningsIdCustomConfigurations","x-badges":[{"name":"profi"}]},"put":{"summary":"Update or create a phone provisionings custom configuration key","description":"Updates or creates a phone provisioning custom configuration key","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"ID","type":"integer","format":"int32","required":true},{"name":"putProvisioningsIdCustomConfigurations","in":"body","required":true,"schema":{"$ref":"#/definitions/putProvisioningsIdCustomConfigurations"}}],"responses":{"200":{"description":"Update or create a phone provisionings custom configuration key","schema":{"$ref":"#/definitions/Provisioning"}}},"tags":["Provisionings"],"operationId":"putProvisioningsIdCustomConfigurations","x-badges":[{"name":"profi"}]}},"/provisionings/{id}/custom_configurations/{custom_configuration_id}":{"delete":{"summary":"Delete a phone provisionings custom configuration key","description":"Delete a phone provisioning custom configuration key","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"ID","type":"integer","format":"int32","required":true},{"in":"path","name":"custom_configuration_id","description":"Custom configuration ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a phone provisionings custom configuration key"}},"tags":["Provisionings"],"operationId":"deleteProvisioningsIdCustomConfigurationsCustomConfigurationId","x-badges":[{"name":"profi"}]}},"/provisionings/{id}/reconfigure":{"post":{"summary":"Trigger reconfiguration of a phone","description":"This sends a SIP command to the user on line 1 to fetch configuration changes.","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"ID","type":"integer","format":"int32","required":true}],"responses":{"201":{"description":"Trigger reconfiguration of a phone","schema":{"$ref":"#/definitions/Provisioning"}}},"tags":["Provisionings"],"operationId":"postProvisioningsIdReconfigure","x-badges":[{"name":"profi"}]}},"/recordings":{"get":{"summary":"Fetch call recordings","description":"Provides a list of all call recordings","produces":["application/json"],"parameters":[{"in":"query","name":"filter[direction]","type":"array","items":{"type":"string","default":["in","out","queue"]},"required":false},{"in":"query","name":"filter[from]","type":"string","required":false},{"in":"query","name":"filter[to]","type":"string","required":false},{"in":"query","name":"filter[date]","description":"YYYY-MM-DD","type":"string","format":"date","required":false},{"in":"query","name":"order","type":"string","default":"desc","enum":["asc","desc"],"required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch call recordings","schema":{"type":"array","items":{"$ref":"#/definitions/Recording"}}}},"tags":["Recordings"],"operationId":"getRecordings","x-badges":[{"name":"profi"}]}},"/recordings/{id}":{"get":{"summary":"Fetch specific recording","description":"Fetch recording","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Recording ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Fetch specific recording","schema":{"$ref":"#/definitions/Recording"}}},"tags":["Recordings"],"operationId":"getRecordingsId","x-badges":[{"name":"profi"}]},"delete":{"summary":"Delete a recording","description":"Delete a recording by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Recording ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a recording"}},"tags":["Recordings"],"operationId":"deleteRecordingsId","x-badges":[{"name":"profi"}]}},"/routing_plans":{"get":{"summary":"Get all routing plans","description":"Provides a list of routing plans","produces":["application/json"],"parameters":[{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Get all routing plans","schema":{"type":"array","items":{"$ref":"#/definitions/RoutingPlan"}}}},"tags":["Routing plans"],"operationId":"getRoutingPlans","x-badges":[{"name":"profi"}]},"post":{"summary":"Create a routing plan","description":"Create a routing plan","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postRoutingPlans","in":"body","required":true,"schema":{"$ref":"#/definitions/postRoutingPlans"}}],"responses":{"201":{"description":"Create a routing plan","schema":{"$ref":"#/definitions/RoutingPlan"}}},"tags":["Routing plans"],"operationId":"postRoutingPlans","x-badges":[{"name":"profi"}]}},"/routing_plans/{id}":{"get":{"summary":"Get a routing plan","description":"Get a routing plans","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"ID of a routing plan","type":"string","required":true}],"responses":{"200":{"description":"Get a routing plan","schema":{"$ref":"#/definitions/RoutingPlan"}}},"tags":["Routing plans"],"operationId":"getRoutingPlansId","x-badges":[{"name":"profi"}]},"put":{"summary":"Update a routing plan","description":"Update a routing plan","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","format":"int32","required":true},{"name":"putRoutingPlansId","in":"body","required":true,"schema":{"$ref":"#/definitions/putRoutingPlansId"}}],"responses":{"200":{"description":"Update a routing plan","schema":{"$ref":"#/definitions/RoutingPlan"}}},"tags":["Routing plans"],"operationId":"putRoutingPlansId","x-badges":[{"name":"profi"}]},"delete":{"summary":"Delete a routing plan","description":"Delete a routing plan","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a routing plan"}},"tags":["Routing plans"],"operationId":"deleteRoutingPlansId","x-badges":[{"name":"profi"}]}},"/routing_plans/{id}/routings":{"get":{"summary":"Get a routing plans objects","description":"Get objects for routing plan","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"ID of a routing plan","type":"string","required":true}],"responses":{"200":{"description":"Get a routing plans objects","schema":{"type":"array","items":{"$ref":"#/definitions/RoutingObject"}}}},"tags":["Routing plan objects"],"operationId":"getRoutingPlansIdRoutings","x-badges":[{"name":"profi"}]}},"/routing_plans/{id}/simulate":{"get":{"summary":"Simulate the usage of a routing plan","description":"Simulate the usage of a routing plan","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"The ID of the routing plan","type":"string","required":true},{"in":"query","name":"time","description":"The time at which the simulated call would happen","type":"string","format":"date-time","required":false}],"responses":{"200":{"description":"Simulate the usage of a routing plan","schema":{"$ref":"#/definitions/RoutingPlan"}}},"tags":["Routing plans"],"operationId":"getRoutingPlansIdSimulate","x-badges":[{"name":"profi"}]}},"/routings":{"get":{"summary":"Get all routings","description":"Provides a list of routing","produces":["application/json"],"parameters":[{"in":"query","name":"filter[updated_at_gte]","type":"string","format":"date-time","required":false},{"in":"query","name":"filter[updated_at_lte]","type":"string","format":"date-time","required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Get all routings","schema":{"type":"array","items":{"$ref":"#/definitions/RoutingObject"}}}},"tags":["Routings"],"operationId":"getRoutings","x-badges":[{"name":"profi"}]},"post":{"summary":"Create a routing object","description":"Create a routing object. Routing can be created as: `forward`, `group`, `ivr`, `queue` or `api`","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postRoutings","in":"body","required":true,"schema":{"$ref":"#/definitions/postRoutings"}}],"responses":{"201":{"description":"Create a routing object","schema":{"$ref":"#/definitions/RoutingObject"}}},"tags":["Routings"],"operationId":"postRoutings","x-badges":[{"name":"profi"}]}},"/routings/{number_or_id}":{"get":{"summary":"Retrieve routing","description":"Fetches a routing","produces":["application/json"],"parameters":[{"in":"path","name":"number_or_id","description":"A number or an ID","type":"string","required":true}],"responses":{"200":{"description":"Retrieve routing","schema":{"$ref":"#/definitions/RoutingObject"}}},"tags":["Routings"],"operationId":"getRoutingsNumberOrId","x-badges":[{"name":"profi"}]},"put":{"summary":"Update routing","description":"Updates the routing object. Routing can be set to: `forward`, `group`, `plan`, `ivr`, `queue` or `api`","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"number_or_id","description":"A number or an ID","type":"string","required":true},{"name":"putRoutingsNumberOrId","in":"body","required":true,"schema":{"$ref":"#/definitions/putRoutingsNumberOrId"}}],"responses":{"200":{"description":"Update routing","schema":{"$ref":"#/definitions/RoutingObject"}}},"tags":["Routings"],"operationId":"putRoutingsNumberOrId","x-badges":[{"name":"profi"}]},"delete":{"summary":"Delete a routing object","description":"Delete a routing object","produces":["application/json"],"parameters":[{"in":"path","name":"number_or_id","description":"A number or an ID","type":"string","required":true}],"responses":{"204":{"description":"Delete a routing object"}},"tags":["Routings"],"operationId":"deleteRoutingsNumberOrId","x-badges":[{"name":"profi"}]}},"/sip_users/{id}/short_codes":{"get":{"summary":"Short codes","description":"List sip user short codes","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Sip user ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Short codes","schema":{"$ref":"#/definitions/ShortCode"}}},"tags":["Sip Users"],"operationId":"getSipUsersIdShortCodes","x-badges":[{"name":"profi"}]},"post":{"summary":"Create short code","description":"Create sip user short code","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Sip user ID","type":"integer","format":"int32","required":true},{"name":"postSipUsersIdShortCodes","in":"body","required":true,"schema":{"$ref":"#/definitions/postSipUsersIdShortCodes"}}],"responses":{"201":{"description":"Create short code","schema":{"$ref":"#/definitions/ShortCode"}}},"tags":["Sip Users"],"operationId":"postSipUsersIdShortCodes","x-badges":[{"name":"profi"}]}},"/sip_users/{id}/short_codes/{code_id}":{"delete":{"summary":"Delete short code","description":"Delete sip user short code","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Sip user ID","type":"integer","format":"int32","required":true},{"in":"path","name":"code_id","description":"Short code ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete short code"}},"tags":["Sip Users"],"operationId":"deleteSipUsersIdShortCodesCodeId","x-badges":[{"name":"profi"}]}},"/sip_users":{"get":{"summary":"Fetch all sip users","description":"Fetch a list of all sip users","produces":["application/json"],"parameters":[{"in":"query","name":"filter[did]","type":"integer","format":"int32","required":false},{"in":"query","name":"filter[username]","type":"string","required":false},{"in":"query","name":"filter[name]","type":"string","required":false},{"in":"query","name":"filter[description]","type":"string","required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all sip users","schema":{"type":"array","items":{"$ref":"#/definitions/SipUser"}}}},"tags":["Sip Users"],"operationId":"getSipUsers","x-badges":[{"name":"profi"}]},"post":{"summary":"Create a sip user","description":"Create a new sip user","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postSipUsers","in":"body","required":true,"schema":{"$ref":"#/definitions/postSipUsers"}}],"responses":{"201":{"description":"Create a sip user","schema":{"$ref":"#/definitions/SipUser"}}},"tags":["Sip Users"],"operationId":"postSipUsers","x-badges":[{"name":"profi"}]}},"/sip_users/{id}":{"get":{"summary":"Fetch a sip user","description":"Fetch a sip users by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Sip user ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Fetch a sip user","schema":{"$ref":"#/definitions/SipUser"}}},"tags":["Sip Users"],"operationId":"getSipUsersId","x-badges":[{"name":"profi"}]},"put":{"summary":"Update a sip user","description":"Update a sip user by its ID","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"Sip user ID","type":"integer","format":"int32","required":true},{"name":"putSipUsersId","in":"body","required":true,"schema":{"$ref":"#/definitions/putSipUsersId"}}],"responses":{"200":{"description":"Update a sip user","schema":{"$ref":"#/definitions/SipUser"}}},"tags":["Sip Users"],"operationId":"putSipUsersId","x-badges":[{"name":"profi"}]},"delete":{"summary":"Delete a sip user","description":"Delete a sip user by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Sip user ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a sip user"}},"tags":["Sip Users"],"operationId":"deleteSipUsersId","x-badges":[{"name":"profi"}]}},"/sim_cards":{"get":{"summary":"Fetch all SIM cards","description":"Provides a list of all SIM cards","produces":["application/json"],"parameters":[{"in":"query","name":"filter[status]","type":"string","enum":["pending_cancellation","terminated","activation_canceled","activated","in_activation","port_in_progress","ordered","sent","order_canceled"],"required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all SIM cards","schema":{"type":"array","items":{"$ref":"#/definitions/SIMCard"}}}},"tags":["SIM Cards"],"operationId":"getSimCards","x-badges":[{"name":"profi"},{"name":"webex"}]}},"/sim_cards/{id}":{"get":{"summary":"Retrieve a SIM card","description":"Fetches a SIM card by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"SIM card ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Retrieve a SIM card","schema":{"$ref":"#/definitions/SIMCard"}}},"tags":["SIM Cards"],"operationId":"getSimCardsId","x-badges":[{"name":"profi"},{"name":"webex"}]}},"/sites":{"get":{"summary":"Get all sites","description":"Provides a list of all sites","produces":["application/json"],"parameters":[{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Get all sites","schema":{"type":"array","items":{"$ref":"#/definitions/Site"}}}},"tags":["Sites"],"operationId":"getSites","x-badges":[{"name":"profi"},{"name":"webex"}]}},"/sites/{id}":{"get":{"summary":"Retrieve a site","description":"Fetches a site by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"ID of the site","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Retrieve a site","schema":{"$ref":"#/definitions/Site"}}},"tags":["Sites"],"operationId":"getSitesId","x-badges":[{"name":"profi"},{"name":"webex"}]}},"/sms":{"post":{"summary":"Send SMS","description":"Sends an SMS","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postSms","in":"body","required":true,"schema":{"$ref":"#/definitions/postSms"}}],"responses":{"201":{"description":"Send SMS"}},"tags":["SMS"],"operationId":"postSms","x-badges":[{"name":"profi"},{"name":"webex"}]}},"/subscriptions":{"get":{"summary":"List subscriptions","description":"Fetch a list of all registered subscriptions","produces":["application/json"],"responses":{"200":{"description":"List subscriptions","schema":{"type":"array","items":{"$ref":"#/definitions/Subscription"}}}},"tags":["Subscriptions"],"operationId":"getSubscriptions","x-badges":[{"name":"profi"}]},"put":{"summary":"Add a subscription","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"putSubscriptions","in":"body","required":true,"schema":{"$ref":"#/definitions/putSubscriptions"}}],"responses":{"200":{"description":"updated Subscription","schema":{"$ref":"#/definitions/Subscription"}}},"tags":["Subscriptions"],"operationId":"putSubscriptions","x-badges":[{"name":"profi"}]}},"/subscriptions/{id}":{"delete":{"summary":"Delete a subscription","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"","type":"string","required":true}],"responses":{"204":{"description":"deleted Subscription"}},"tags":["Subscriptions"],"operationId":"deleteSubscriptionsId","x-badges":[{"name":"profi"}]}},"/webex/users":{"get":{"summary":"Fetch all Webex users","description":"Fetch a list of all users of the account for Webex related operations","produces":["application/json"],"parameters":[{"in":"query","name":"filter[first_name]","type":"string","required":false},{"in":"query","name":"filter[last_name]","type":"string","required":false},{"in":"query","name":"filter[login]","type":"string","required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all Webex users","schema":{"type":"array","items":{"$ref":"#/definitions/WebexUser"}}}},"tags":["Webex"],"operationId":"getWebexUsers","x-badges":[{"name":"webex"}]},"post":{"summary":"Create a Webex user","description":"Creates a new user and optionally assigns a Webex license","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postWebexUsers","in":"body","required":true,"schema":{"$ref":"#/definitions/postWebexUsers"}}],"responses":{"201":{"description":"Create a Webex user","schema":{"$ref":"#/definitions/WebexUser"}}},"tags":["Webex"],"operationId":"postWebexUsers","x-badges":[{"name":"webex"}]}},"/webex/users/{id}/license":{"get":{"summary":"Fetch Webex license for user","description":"Returns the Webex Wholesale license currently assigned to the user","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Fetch Webex license for user","schema":{"$ref":"#/definitions/License"}}},"tags":["Webex"],"operationId":"getWebexUsersIdLicense","x-badges":[{"name":"webex"}]},"post":{"summary":"Assign Webex license to user","description":"Assigns a Webex Wholesale license to the user","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","format":"int32","required":true},{"name":"postWebexUsersIdLicense","in":"body","required":true,"schema":{"$ref":"#/definitions/postWebexUsersIdLicense"}}],"responses":{"201":{"description":"Assign Webex license to user","schema":{"$ref":"#/definitions/License"}}},"tags":["Webex"],"operationId":"postWebexUsersIdLicense","x-badges":[{"name":"webex"}]},"patch":{"summary":"Update Webex license for user","description":"Change the package of the license assigned to the user","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","format":"int32","required":true},{"name":"patchWebexUsersIdLicense","in":"body","required":true,"schema":{"$ref":"#/definitions/patchWebexUsersIdLicense"}}],"responses":{"200":{"description":"Update Webex license for user","schema":{"$ref":"#/definitions/License"}}},"tags":["Webex"],"operationId":"patchWebexUsersIdLicense","x-badges":[{"name":"webex"}]}},"/webex/users/{id}/numbers":{"get":{"summary":"Fetch numbers for user","description":"Returns the numbers configured for the user","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","format":"int32","required":true},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch numbers for user","schema":{"type":"array","items":{"$ref":"#/definitions/Number"}}}},"tags":["Webex"],"operationId":"getWebexUsersIdNumbers","x-badges":[{"name":"webex"}]},"patch":{"summary":"Update numbers for user","description":"Updates the numbers of a user","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","format":"int32","required":true},{"name":"patchWebexUsersIdNumbers","in":"body","required":true,"schema":{"$ref":"#/definitions/patchWebexUsersIdNumbers"}}],"responses":{"200":{"description":"Update numbers for user","schema":{"type":"array","items":{"$ref":"#/definitions/Numbers"}}}},"tags":["Webex"],"operationId":"patchWebexUsersIdNumbers","x-badges":[{"name":"webex"}]}},"/webex/users/{id}":{"delete":{"summary":"Delete a Webex user","description":"Deletes a user and removes their Webex person","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a Webex user"}},"tags":["Webex"],"operationId":"deleteWebexUsersId","x-badges":[{"name":"webex"}]}},"/webex/workspaces":{"get":{"summary":"List all Webex workspaces","description":"Fetch a list of all Webex workspaces for the account","produces":["application/json"],"parameters":[{"in":"query","name":"display_name","description":"Filter workspaces by display name","type":"string","required":false}],"responses":{"200":{"description":"List all Webex workspaces","schema":{"type":"array","items":{"$ref":"#/definitions/Workspace"}}}},"tags":["Webex"],"operationId":"getWebexWorkspaces","x-badges":[{"name":"webex"}]},"post":{"summary":"Create a Webex workspace","description":"Creates a new Webex workspace","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postWebexWorkspaces","in":"body","required":true,"schema":{"$ref":"#/definitions/postWebexWorkspaces"}}],"responses":{"201":{"description":"Create a Webex workspace","schema":{"$ref":"#/definitions/Workspace"}}},"tags":["Webex"],"operationId":"postWebexWorkspaces","x-badges":[{"name":"webex"}]}},"/webex/workspaces/{id}":{"get":{"summary":"Fetch a single Webex workspace","description":"Returns a single Webex workspace by ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Fetch a single Webex workspace","schema":{"$ref":"#/definitions/Workspace"}}},"tags":["Webex"],"operationId":"getWebexWorkspacesId","x-badges":[{"name":"webex"}]}},"/users":{"get":{"summary":"Fetch all users","description":"Fetch a list of all users of the account","produces":["application/json"],"parameters":[{"in":"query","name":"filter[first_name]","type":"string","required":false},{"in":"query","name":"filter[last_name]","type":"string","required":false},{"in":"query","name":"filter[email]","type":"string","required":false},{"in":"query","name":"filter[login]","type":"string","required":false},{"in":"query","name":"filter[type]","type":"string","enum":["main_account","subuser"],"required":false},{"in":"query","name":"page","description":"Page of results to fetch.","type":"integer","format":"int32","default":1,"required":false},{"in":"query","name":"per_page","description":"Number of results to return per page.","type":"integer","format":"int32","default":25,"minimum":0,"maximum":100,"required":false}],"responses":{"200":{"description":"Fetch all users","schema":{"type":"array","items":{"$ref":"#/definitions/User"}}}},"tags":["Users"],"operationId":"getUsers","x-badges":[{"name":"profi"}]},"post":{"summary":"Create new subuser","description":"Create a new subuser for your account","produces":["application/json"],"consumes":["application/json"],"parameters":[{"name":"postUsers","in":"body","required":true,"schema":{"$ref":"#/definitions/postUsers"}}],"responses":{"201":{"description":"Create new subuser","schema":{"$ref":"#/definitions/User"}}},"tags":["Users"],"operationId":"postUsers","x-badges":[{"name":"profi"}]}},"/users/{id}":{"get":{"summary":"Fetch user by ID","description":"Fetch a single user from your account by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"User ID","type":"integer","format":"int32","required":true}],"responses":{"200":{"description":"Fetch user by ID","schema":{"$ref":"#/definitions/User"}}},"tags":["Users"],"operationId":"getUsersId","x-badges":[{"name":"profi"}]},"put":{"summary":"Update a subuser","description":"Update an existing subuser for your account","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"User ID","type":"integer","format":"int32","required":true},{"name":"putUsersId","in":"body","required":true,"schema":{"$ref":"#/definitions/putUsersId"}}],"responses":{"200":{"description":"Update a subuser","schema":{"$ref":"#/definitions/User"}}},"tags":["Users"],"operationId":"putUsersId","x-badges":[{"name":"profi"}]},"delete":{"summary":"Delete a subuser","description":"Delete a subuser by its ID","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"Subuser ID","type":"integer","format":"int32","required":true}],"responses":{"204":{"description":"Delete a subuser"}},"tags":["Users"],"operationId":"deleteUsersId","x-badges":[{"name":"profi"}]}},"/users/{id}/password_reset":{"post":{"summary":"Reset password for account","description":"Reset password for account","produces":["application/json"],"consumes":["application/json"],"parameters":[{"in":"path","name":"id","description":"User ID","type":"integer","format":"int32","required":true}],"responses":{"202":{"description":"Reset password for account"},"400":{"description":""}},"tags":["Users"],"operationId":"postUsersIdPasswordReset","x-badges":[{"name":"profi"}]}},"/users/{id}/two_factor_authentication":{"delete":{"summary":"Reset two factor authentication for user","description":"Reset two factor authentication for user","produces":["application/json"],"parameters":[{"in":"path","name":"id","description":"User ID","type":"integer","format":"int32","required":true}],"responses":{"202":{"description":"Reset two factor authentication for user"},"400":{"description":""}},"tags":["Users"],"operationId":"deleteUsersIdTwoFactorAuthentication","x-badges":[{"name":"profi"}]}},"/me":{"get":{"summary":"Me","description":"Information about the current API user","produces":["application/json"],"responses":{"200":{"description":"Me","schema":{"$ref":"#/definitions/Me"}}},"tags":["Users"],"operationId":"getMe"}}},"definitions":{"CallCenterAgent":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":1},"name":{"type":"string","example":"John"},"description":{"type":"string","example":"John"},"extension_sip":{"type":"string","example":"john@fpbx.de"},"extension_pstn":{"type":"string","example":"+492219998887777"},"extension_type":{"type":"string","enum":["SIP","PSTN"],"example":"SIP"},"agent_type":{"type":"string","enum":["Supervisor","Agent"],"example":"Supervisor"},"status":{"type":"string","enum":["offline","online","dail_out","working","pause"],"example":"offline"},"priority":{"type":"integer","format":"int32","example":0},"last_call_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"},"created_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"},"updated_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"}},"required":["id","name","description","extension_sip","extension_pstn","extension_type","agent_type","status","priority","last_call_at","created_at","updated_at"],"description":"CallCenterAgent model"},"postCallCenterAgents":{"type":"object","properties":{"name":{"type":"string","description":"Name of the agent"},"extension_type":{"type":"string","description":"Extension type","enum":["SIP","PSTN"]},"extension_sip":{"type":"string","description":"SIP extension of the agent","example":"xxx@fpbx.de"},"extension_pstn":{"type":"string","description":"PSTN extension of the agent","example":"+492219998888777"},"agent_type":{"type":"string","description":"Type of the agent","enum":["Supervisor","Agent"],"default":"Agent"},"description":{"type":"string","description":"Describes the agent"},"priority":{"type":"integer","format":"int32","description":"Priority of the agent"}},"required":["name","extension_type","extension_sip","extension_pstn"],"description":"Create an agent"},"putCallCenterAgentsId":{"type":"object","properties":{"name":{"type":"string"},"priority":{"type":"integer","format":"int32","description":"Priority of the agent"},"description":{"type":"string","description":"Describes the agent"},"status":{"type":"string","enum":["offline","online","dail_out","working","pause"]},"extension_type":{"type":"string","description":"Extension type","enum":["SIP","PSTN"]},"extension_sip":{"type":"string","description":"SIP extension of the agent","example":"xxx@fpbx.de"},"extension_pstn":{"type":"string","description":"PSTN extension of the agent","example":"+492219998888777"}},"required":["extension_sip","extension_pstn"],"description":"Update an agent"},"CallCenterCall":{"type":"object","properties":{"call_type":{"type":"string","enum":["dail_in","dail_out"],"example":"dail_in"},"call_status":{"type":"string","enum":["unassigned","assigned","ended","not_answered","cancelled","dail_out"],"example":"unassigned"},"answer_status":{"type":"string","example":"ANSWER"},"id":{"type":"string","format":"integer","example":1},"started_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"},"left_queue_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"},"ended_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"},"last_updated_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"},"iteration":{"type":"string","example":1},"from":{"type":"string","example":"022129191999"},"to":{"type":"string","example":"022129191999"},"queue_name":{"type":"string","example":"Queue for Quentin"},"agent_name":{"type":"string","example":"Agent Orange"}},"required":["call_type","call_status","answer_status","id","started_at","left_queue_at","ended_at","last_updated_at","iteration","from","to","queue_name","agent_name"],"description":"CallCenterCall model"},"postCallCenterCallsIdPick":{"type":"object","properties":{"sipuid":{"type":"string","description":"SIPUID of an agent"}},"required":["sipuid"],"description":"Pick a call center call"},"CallCenterQueue":{"type":"object","properties":{"id":{"type":"string","example":123},"name":{"type":"string","example":"John's Queue"},"num_loops":{"type":"string","example":3},"priority":{"type":"string","example":1},"description":{"type":"string","example":"Its a queue"},"mail_notification":{"type":"string","example":"info@example.org"},"ringing_time":{"type":"string","example":30},"max_iterations":{"type":"string","example":10},"play_prompt":{"type":"string","example":true},"prompt":{"$ref":"#/definitions/Prompt","example":123},"play_prompt_waiting":{"type":"string","example":true},"prompt_waiting":{"$ref":"#/definitions/Prompt","example":123},"play_prompt_end":{"type":"string","example":true},"prompt_end":{"$ref":"#/definitions/Prompt","example":123},"play_mailbox":{"type":"string","example":true},"prompt_mailbox":{"$ref":"#/definitions/Prompt","example":123},"updated_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"},"created_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"}},"required":["id","name","num_loops","priority","description","mail_notification","ringing_time","max_iterations","play_prompt","prompt","play_prompt_waiting","prompt_waiting","play_prompt_end","prompt_end","play_mailbox","prompt_mailbox","updated_at","created_at"],"description":"CallCenterQueue model"},"Prompt":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":1},"name":{"type":"string","example":"My prompt"},"description":{"type":"string","example":"Describes my prompt"},"text":{"type":"string","example":"Please leave a message after the beeeep."},"file":{"type":"string","format":"uri","example":"https://example.org/prompt.mp3"},"updated_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"},"created_at":{"type":"string","format":"date-time","example":"2018-08-14T11:42:47.000+02:00"}},"required":["id","name","description","text","file","updated_at","created_at"],"description":"Prompt model"},"postCallCenterQueues":{"type":"object","properties":{"name":{"type":"string","description":"Name of the agent"},"num_loops":{"type":"integer","format":"int32","default":3},"priority":{"type":"integer","format":"int32","default":0},"description":{"type":"string"},"mail_notification":{"type":"string","default":""},"ringing_time":{"type":"integer","format":"int32","default":30},"max_iterations":{"type":"integer","format":"int32","default":10},"play_prompt":{"type":"boolean","enum":[true,false],"default":false,"example":true},"prompt_id":{"type":"integer","format":"int32","description":"ID of a prompt","example":123},"play_prompt_waiting":{"type":"boolean","enum":[true,false],"default":false,"example":true},"prompt_waiting_id":{"type":"integer","format":"int32","description":"ID of a prompt","example":123},"play_prompt_end":{"type":"boolean","enum":[true,false],"default":false,"example":true},"prompt_end_id":{"type":"integer","format":"int32","description":"ID of a prompt","example":123},"play_mailbox":{"type":"boolean","enum":[true,false],"default":false,"example":true},"prompt_mailbox_id":{"type":"integer","format":"int32","description":"ID of a prompt","example":123}},"required":["name"],"description":"Create a queue"},"putCallCenterQueuesId":{"type":"object","properties":{"name":{"type":"string","description":"Name of the agent"},"num_loops":{"type":"integer","format":"int32"},"priority":{"type":"integer","format":"int32"},"description":{"type":"string"},"mail_notification":{"type":"string"},"ringing_time":{"type":"integer","format":"int32"},"max_iterations":{"type":"integer","format":"int32"},"play_prompt":{"type":"boolean","enum":[true,false],"example":true},"prompt_id":{"type":"integer","format":"int32","description":"ID of a prompt","example":123},"play_prompt_waiting":{"type":"boolean","enum":[true,false],"example":true},"prompt_waiting_id":{"type":"integer","format":"int32","description":"ID of a prompt","example":123},"play_prompt_end":{"type":"boolean","enum":[true,false],"example":true},"prompt_end_id":{"type":"integer","format":"int32","description":"ID of a prompt","example":123},"play_mailbox":{"type":"boolean","enum":[true,false],"example":true},"prompt_mailbox_id":{"type":"integer","format":"int32","description":"ID of a prompt","example":123}},"description":"Update a queue"},"CallDetailRecord":{"type":"object","properties":{"amount":{"type":"number","format":"float","example":1.42},"description":{"type":"string","example":"Weiterleitung auf SIP"},"from":{"type":"string","example":"022129191999"},"to":{"type":"string","example":"022129191999"},"length":{"type":"integer","format":"int32","example":42},"answer_uri":{"type":"string","example":"77712345678"},"received_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"}},"required":["amount","description","from","to","length","answer_uri","received_at"],"description":"CallDetailRecord model"},"Call":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":1},"type":{"type":"string","enum":["voicemail","missed","blocked","accepted"],"example":"voicemail"},"from_number":{"type":"string","example":"022129191999"},"to_number":{"type":"object","properties":{"number":{"$ref":"#/definitions/Number"}},"required":["number"]},"file_url":{"type":"string","example":"URL to the voice file"},"duration":{"type":"integer","format":"int32","example":10},"contact":{"$ref":"#/definitions/Contact"},"received_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"},"unread":{"type":"boolean","enum":[true,false],"example":true}},"required":["id","type","from_number","to_number","file_url","duration","contact","received_at","unread"],"description":"Call model"},"Number":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":1},"routing_id":{"type":"string","example":1},"site_id":{"type":"integer","format":"int32","example":1},"prefix":{"type":"string","example":"0221"},"numonly":{"type":"string","example":"29191999"},"number":{"type":"string","example":"022129191999"},"e164":{"type":"string","example":"+4922129191999"},"activated":{"type":"boolean","enum":[true,false],"example":true},"test_number":{"type":"boolean","enum":[true,false],"example":true},"name":{"type":"string","example":"Number one"},"description":{"type":"string","example":"This describes my number"},"carrier":{"type":"string","example":"bt"},"updated_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"},"created_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"}},"required":["id","routing_id","site_id","prefix","numonly","number","e164","activated","test_number","name","description","updated_at","created_at"],"description":"Number model"},"Contact":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":1},"user_id":{"type":"integer","format":"int32","example":1},"speeddial":{"type":"integer","format":"int32","example":1},"first_name":{"type":"string","example":"Mary"},"last_name":{"type":"string","example":"Jane"},"email":{"type":"string","format":"email","example":"mary@example.org"},"email_work":{"type":"string","format":"email","example":"mary.jane@example.org"},"company":{"type":"string","example":"Placetel"},"address":{"type":"string","example":"Phone Rd. 1"},"address_work":{"type":"string","example":"Phone Rd. 1"},"phone_work":{"type":"string","example":"+4922129191999"},"mobile_work":{"type":"string","example":"+4922129191999"},"phone":{"type":"string","example":"+4922129191999"},"mobile":{"type":"string","example":"+4922129191999"},"fax":{"type":"string","example":"+4922129191999"},"fax_work":{"type":"string","example":"+4922129191999"},"facebook_url":{"type":"string","format":"uri","example":"https://www.facebook.com/Placetel"},"linkedin_url":{"type":"string","format":"uri","example":"https://www.linkedin.com/company/placetel-de/"},"xing_url":{"type":"string","format":"uri","example":"https://www.xing.com/companies/placetel.de"},"twitter_account":{"type":"string","format":"uri","example":"https://twitter.com/placetel"},"blocked":{"type":"boolean","enum":[true,false],"example":true},"color":{"type":"string","example":"#d8d9da"},"updated_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"},"created_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"}},"required":["id","user_id","speeddial","first_name","last_name","email","email_work","company","address","address_work","phone_work","mobile_work","phone","mobile","fax","fax_work","facebook_url","linkedin_url","xing_url","twitter_account","blocked","color","updated_at","created_at"],"description":"Contact model"},"postCalls":{"type":"object","properties":{"sipuid":{"type":"string","description":"Sipuid to use (e.g. 7771234567@fpbx.de)"},"target":{"type":"string","description":"Number to call"},"from_name":{"type":"string"}},"required":["sipuid","target"],"description":"Initiate a call"},"postContacts":{"type":"object","properties":{"speeddial":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string"},"email_work":{"type":"string"},"company":{"type":"string"},"address":{"type":"string"},"address_work":{"type":"string"},"phone_work":{"type":"string"},"mobile_work":{"type":"string"},"phone":{"type":"string"},"mobile":{"type":"string"},"fax":{"type":"string"},"fax_work":{"type":"string"},"facebook_url":{"type":"string"},"linkedin_url":{"type":"string"},"xing_url":{"type":"string"},"twitter_account":{"type":"string"},"color":{"type":"string"},"user_id":{"type":"integer","format":"int32"},"blocked":{"type":"boolean","enum":[true,false],"example":true}},"description":"Create a contact"},"putContactsId":{"type":"object","properties":{"speeddial":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"email":{"type":"string"},"email_work":{"type":"string"},"company":{"type":"string"},"address":{"type":"string"},"address_work":{"type":"string"},"phone_work":{"type":"string"},"mobile_work":{"type":"string"},"phone":{"type":"string"},"mobile":{"type":"string"},"fax":{"type":"string"},"fax_work":{"type":"string"},"facebook_url":{"type":"string"},"linkedin_url":{"type":"string"},"xing_url":{"type":"string"},"twitter_account":{"type":"string"},"color":{"type":"string"},"user_id":{"type":"integer","format":"int32"},"blocked":{"type":"boolean","enum":[true,false],"example":true}},"description":"Update a contact"},"postCtiMacAnswer":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"call_id":{"type":"integer","format":"int32"}},"required":["line","call_id"],"description":"Answer"},"postCtiMacBlindTransfer":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"call_id":{"type":"integer","format":"int32"},"number":{"type":"string"}},"required":["line","call_id","number"],"description":"Blind transfer"},"postCtiMacCompleteConference":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"call_id":{"type":"integer","format":"int32"}},"required":["line","call_id"],"description":"Complete conference"},"postCtiMacCompleteTransfer":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"call_id":{"type":"integer","format":"int32"}},"required":["line","call_id"],"description":"Complete transfer"},"postCtiMacDecline":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"call_id":{"type":"integer","format":"int32"}},"required":["line","call_id"],"description":"Decline"},"postCtiMacDial":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"number":{"type":"string"}},"required":["line","number"],"description":"Dial"},"postCtiMacDialDigit":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"call_id":{"type":"integer","format":"int32"},"digit":{"type":"string"}},"required":["line","call_id","digit"],"description":"Dial digit"},"postCtiMacHangup":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"call_id":{"type":"integer","format":"int32"}},"required":["line","call_id"],"description":"Hangup"},"postCtiMacHold":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"call_id":{"type":"integer","format":"int32"}},"required":["line","call_id"],"description":"Hold"},"postCtiMacResume":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"call_id":{"type":"integer","format":"int32"}},"required":["line","call_id"],"description":"Resume"},"postCtiMacStartConference":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"call_id":{"type":"integer","format":"int32"}},"required":["line","call_id"],"description":"Start conference"},"postCtiMacStartTransfer":{"type":"object","properties":{"line":{"type":"integer","format":"int32"},"call_id":{"type":"integer","format":"int32"}},"required":["line","call_id"],"description":"Start transfer"},"postCtiMacSendDtmfDigits":{"type":"object","properties":{"digits":{"type":"string"}},"required":["digits"],"description":"Send DTMF Digits"},"putCtiMac":{"type":"object","properties":{"params":{"type":"object"}},"required":["params"],"description":"Set config params"},"Device":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"display_name":{"type":"string"},"manufacturer":{"type":"string"},"lines":{"type":"string"},"blf_keys":{"type":"string"},"expansion_keys":{"type":"string"},"max_expansion_modules":{"type":"string"},"dect_lines":{"type":"string"},"multicell":{"type":"string"},"encryptable":{"type":"string"}},"required":["id","name","display_name","manufacturer","lines","blf_keys","expansion_keys","max_expansion_modules","dect_lines","multicell","encryptable"],"description":"Device model"},"Fax":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":1},"type":{"type":"string","enum":["inbound","outbound"],"example":"inbound"},"from_number":{"type":"string","example":"022129191999"},"to_number":{"type":"string","example":"022129191999"},"pages":{"type":"integer","format":"int32","example":1},"retries":{"type":"integer","format":"int32","example":1},"status":{"type":"string","enum":["success","failed","conversion_error","busy","working","queued"],"example":"success"},"status_info":{"type":"string","example":"error negotiating T.38","description":"only populated for outbound faxes"},"email":{"type":"string","example":"info@placetel.de"},"header":{"type":"string","example":"Placetel"},"duration":{"type":"integer","format":"int32","example":1},"file":{"type":"string","format":"uri","example":"https://example.org/fax.pdf"},"report":{"type":"string","format":"uri","example":"https://example.org/report.pdf"},"created_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"}},"required":["id","type","from_number","to_number","pages","retries","status","status_info","email","header","duration","file","report","created_at"],"description":"Fax model"},"postFaxes":{"type":"object","properties":{"from_number":{"type":"string"},"to_number":{"type":"string"},"email":{"type":"string"},"file":{"type":"string","description":"Base64 encoded PDF file as [data uri](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/Data_URIs)"},"header":{"type":"string"}},"required":["from_number","to_number","email","file"],"description":"Create outbound fax"},"Group":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":1},"name":{"type":"string","example":"Super heroes"},"description":{"type":"string","example":"A group of super heroes"},"type":{"type":"string","enum":["ring_all","monitoring","hunt"],"example":"ring_all"},"members":{"type":"array","items":{"$ref":"#/definitions/SipUser"}},"updated_at":{"type":"string","format":"date-time","example":"2018-08-14T11:42:47.000+02:00"},"created_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"}},"required":["id","name","description","type","members","updated_at","created_at"],"description":"Group model"},"SipUser":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":1,"description":"Internal ID of the SIP user"},"sipuid":{"type":"string","example":"777712345678@fbpx.de","description":"SIPUID used for SIP communication"},"username":{"type":"string","example":"777712345678","description":"Username used for SIP communication"},"password":{"type":"string","example":"supersecret","description":"Password used for SIP communication (only visible when fetching a single record or after creating one; not for Placetel MOBILE users)"},"domain":{"type":"string","example":"fbpx.de","description":"Domain used for SIP communication"},"name":{"type":"string","example":"John"},"description":{"type":"string","example":"John's sip user"},"did":{"type":"integer","format":"int32","example":23,"description":"Internal extension of this SIP user"},"callerid":{"type":"string","example":"022112345678","description":"The caller ID for outbound calls"},"type":{"type":"string","enum":["legacy_standard","blf","standard","fax","trunk"],"example":"standard"},"webuser_id":{"type":"integer","format":"int32","example":1,"description":"Placetel user connected with this SIP user"},"webuser":{"$ref":"#/definitions/User"},"automatic_prefix":{"type":"string","example":"0221","description":"Prepend this prefix for outbound calls automatically"},"blocked_prefixes":{"type":"string","example":"0211","description":"A comma separated list of blocked destinations"},"routing_plan_id":{"type":"integer","format":"int32","example":1,"description":"Fallback routing plan for busy/no answer"},"online":{"type":"boolean","enum":[true,false],"example":true,"description":"Current online status"},"registrations":{"type":"string"},"busy_on_busy":{"type":"boolean","enum":[true,false],"example":true},"contact_speeddialing":{"type":"boolean","enum":[true,false],"example":true},"p_asserted_identity":{"type":"string"},"hotdesk_login":{"type":"string"},"hotdesk_pin":{"type":"string"},"hotdesk_type":{"type":"string"},"cost_center":{"type":"string"},"hotdesk_provisioning_id":{"type":"string"},"updated_at":{"type":"string","format":"date-time","example":"2018-08-14T11:42:47.000+02:00"},"created_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"}},"required":["id","sipuid","domain","name","description","did","callerid","type","webuser_id","webuser","automatic_prefix","blocked_prefixes","routing_plan_id","online","registrations","busy_on_busy","contact_speeddialing","p_asserted_identity","hotdesk_login","hotdesk_pin","hotdesk_type","cost_center","hotdesk_provisioning_id","updated_at","created_at"],"description":"SipUser model"},"User":{"type":"object","properties":{"id":{"type":"integer","format":"int32","example":1},"login":{"type":"string","example":"john.doe"},"email":{"type":"string","example":"johndoe@example.org"},"first_name":{"type":"string","example":"John"},"last_name":{"type":"string","example":"Doe"},"type":{"type":"string","example":"MainAccount"},"did":{"type":"integer","format":"int32","example":"321","description":"Internal DID of primary SIP user"},"callerid":{"type":"string","example":"0221123456789","description":"Outgoing caller ID of primary SIP user"},"primary_sip_user_id":{"type":"integer","format":"int32","example":"123"},"locale":{"type":"string","enum":["de","en"],"example":"de","description":"Language (ISO-639-1 Code)"},"obfuscate_billing_records":{"type":"boolean","example":true,"description":"Obfuscate billing records for this user"},"obfuscate_others":{"type":"boolean","example":true,"description":"Obfuscate numbers not in rights_numbers for this user"},"admin_user":{"type":"boolean","example":true},"rights_numbers":{"type":"array","items":{"type":"string"},"example":["02211234589","02221234589"]},"permissions":{"$ref":"#/definitions/Permission"},"two_factor_authentication_enabled":{"type":"boolean","example":true,"description":"Two factor auth enabled"},"numbers":{"type":"string"},"updated_at":{"type":"string","format":"date-time","example":"2018-08-14T11:42:47.000+02:00"},"created_at":{"type":"string","format":"date-time","example":"2018-08-16T11:42:47.000+02:00"}},"required":["id","login","email","first_name","last_name","type","did","callerid","primary_sip_user_id","locale","obfuscate_billing_records","obfuscate_others","admin_user","rights_numbers","permissions","two_factor_authentication_enabled","updated_at","created_at"],"description":"User model"},"Permission":{"type":"object","properties":{"blocks":{"type":"array","items":{"type":"string"}},"enabled":{"type":"boolean"}},"required":["blocks","enabled"]},"postGroups":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string","enum":["ring_all","monitoring","hunt"]},"description":{"type":"string"},"member_ids":{"type":"array","description":"Array of SipUser ids","items":{"type":"integer","format":"int32"}}},"required":["name","type"],"description":"Create a group"},"putGroupsId":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"member_ids":{"type":"array","description":"Array of SipUser ids","items":{"type":"integer","format":"int32"}}},"description":"Update a group"},"Integration":{"type":"object","properties":{"tenant_id":{"type":"string","example":"05d45462-042a-4969-8d51-49ef3abd9caa"},"sbc_voice_routes":{"type":"string","example":["c58e53d1324ee.msteams1.placetel.com","c58e53d1324ee.msteams2.placetel.com"]},"sync_status":{"type":"string","enum":["not_synced","synced","syncing","importing","failed"],"example":"synced"},"available_ms_teams_seats":{"type":"integer","format":"int32","example":"13","description":"Your available balance of importable Users (booked Microsoft Teams options)"},"created_at":{"type":"string","format":"date-time","example":"2020-03-22T08:00:00.000+02:00"}},"required":["tenant_id","sbc_voice_routes","sync_status","available_ms_teams_seats","created_at"],"description":"Integration model"},"postMicrosoftTeamsUsers":{"type":"object","properties":{"sip_user_id":{"type":"integer","format":"int32","description":"Sip user ID","example":"123"},"ms_uuid":{"type":"string","example":"8bceada1-eaea-42ff-a8c5-af0b1f3b12db"}},"required":["sip_user_id","ms_uuid"],"description":"Import user"},"MsUser":{"type":"object","properties":{"sip_user_id":{"type":"integer","format":"int32","example":"123"}
[...]
